//
//  CustomUIView.swift
//  CoreGraphicsDemo
//
//  Created by Sarah Abraham on 11/1/16.
//  Copyright © 2016 Sarah Abraham. All rights reserved.
//

import UIKit

class CustomUIView: UIView {
    
    override func draw(_ rect: CGRect) {        
        let outerOval = UIBezierPath(ovalIn: rect)
        UIColor.darkGray.setFill()
        outerOval.fill()

        let innerOrigin = CGPoint(x: bounds.width/4, y: bounds.height/4)
        let innerSize = CGSize(width: bounds.width/2, height: bounds.height/2)
        let innerOval = UIBezierPath(ovalIn: CGRect(origin: innerOrigin, size: innerSize))
        UIColor.cyan.setFill()
        innerOval.fill()
        
        let linePath = UIBezierPath()
        linePath.lineWidth = 3.0;
        linePath.move(to: CGPoint(x: bounds.width/2, y: bounds.height*0.75))
        linePath.addLine(to: CGPoint(x: bounds.width/2, y: bounds.height*0.25))
        UIColor.white.setStroke()
        linePath.stroke()
    }

}
